| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csInputDriver Class Reference

Superclass of all the generic input drivers. More...

`#include <csutil/csinput.h>`

Inheritance diagram for csInputDriver:

[legend]
List of all members.

## Protected Attributes
csEventID | FocusChanged
csEventID | FocusGained
csEventID | FocusLost
iEventHandler * | Listener
csRef< iEventNameRegistry > | NameRegistry
iObjectRegistry * | Registry
## Friends
struct | FocusListener

## Detailed Description

Superclass of all the generic input drivers.

Definition at line 46 of file csinput.h.

The documentation for this class was generated from the following file:

- csutil/csinput.h